> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# tokenLifecycleEvents

> Returns a list of token lifecycle events. Reference for the tokenLifecycleEvents query in the Codex API: arguments, response fields, and usage.

## GraphQL

```
type Query {
  tokenLifecycleEvents(
    limit: Int
    query: TokenLifecycleEventsQueryInput!
    cursor: String
  ): TokenLifecycleEventConnection
}

enum TokenLifecycleEventType {
  MINT
  BURN
}

type TokenBurnEventData {
  amount: String!
  totalSupply: String
  circulatingSupply: String
}

type TokenMintEventData {
  amount: String!
  totalSupply: String
  circulatingSupply: String
}

union TokenLifecycleEventData = TokenBurnEventData | TokenMintEventData

type TokenLifecycleEvent {
  tokenAddress: String!
  networkId: Int!
  blockHash: String!
  blockNumber: Int!
  id: String!
  logIndex: Int!
  maker: String
  timestamp: Int!
  transactionHash: String!
  transactionIndex: Int!
  eventType: TokenLifecycleEventType!
  data: TokenLifecycleEventData!
}

type TokenLifecycleEventConnection {
  items: [TokenLifecycleEvent]!
  cursor: String
}

input TokenLifecycleEventsQueryInput {
  address: String!
  networkId: Int!
}
```

### Example

[Test this query in the Explorer →](https://docs.codex.io/explore.md)

```graphql theme={null}
{
  tokenLifecycleEvents(
    query: {address: "So11111111111111111111111111111111111111112", networkId: 1399811149}
    limit: 10
  ) {
    items {
      eventType
      timestamp
      transactionHash
      maker
      data {
        ... on TokenMintEventData {
          amount
          totalSupply
        }
        ... on TokenBurnEventData {
          amount
          totalSupply
        }
      }
    }
    cursor
  }
}
```

### Usage Guidelines

* Pass the token contract address and `networkId` in `query` to filter events for a specific token on a specific network
* Use the returned `cursor` with the `cursor` argument to paginate through results
* A non-null `cursor` means more results are available, but pages may be empty due to filtering


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.